package com.dbxml.db.core.query.plan.logical;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: DateValue.java,v 1.2 2004/02/12 00:17:57 bradford Exp $
 */

import java.util.Date;

/**
 * DateValue
 */

public final class DateValue extends Value {
   private Date value;

   public DateValue(Date value) {
      this.value = value;
   }

   public Date getValue() {
      return value;
   }

   public boolean equals(Object obj) {
      if ( obj instanceof DateValue )
         return value.equals(((DateValue)obj).value);
      else
         return false;
   }
}
